[Commented] (MSHADE-355) Java 15 Compatibility - JDependecny/ASM Upgrade

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[Commented] (MSHADE-355) Java 15 Compatibility - JDependecny/ASM Upgrade

Michael Osipov (Jira)

    [ https://issues.apache.org/jira/browse/MSHADE-355?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=17068031#comment-17068031 ]

Sylwester Lachiewicz commented on MSHADE-355:
---------------------------------------------

We must wait for the next release of [tcurdt/jdependency|http://github.com/tcurdt/jdependency] where is shaded old ASM 7.2

I've tested version from the master branch and it works as expected.

> Java 15 Compatibility - JDependecny/ASM Upgrade
> -----------------------------------------------
>
>                 Key: MSHADE-355
>                 URL: https://issues.apache.org/jira/browse/MSHADE-355
>             Project: Maven Shade Plugin
>          Issue Type: Dependency upgrade
>            Reporter: James Gough
>            Assignee: Sylwester Lachiewicz
>            Priority: Major
>             Fix For: 3.2.3
>
>
> Building and testing the maven-shade-plugin with Java 15 EA has revealed an error in one of the tests:
> {code}
> [INFO] Setup done.
> [INFO] Building: mini-jar-jdk11+/pom.xml
> [INFO] run post-build script verify.bsh
> [INFO]  The post-build script did not succeed. wanted path is missing: junit/framework/TestCase.class
> [INFO]      mini-jar-jdk11+/pom.xml .......................... FAILED (2.9 s)
> {code}
> It currently looks like a release of [ASM|https://cwiki.apache.org/confluence/display/MAVEN/ASM+depending+projects] will be required.
> The plugin is currently at the latest released version 7.3.1 - the current thinking is the upcoming release.



--
This message was sent by Atlassian Jira
(v8.3.4#803005)